Subject: Re: problems
From: Rob Hartill <[email-masked]>
To: [email-masked] (Michael Greenhalgh) (Michael Greenhalgh)
Date: Wed, 17 Aug 94 8:19:00 MDT

G'day,

> I'm just gearing up to get the perl version of the database enquiry
> engine going, and have the following files:
> 
> config.ph - 1418 bytes
> check_query.pl - 2744 bytes
> comment_collector.pl - 1147 bytes
> perform_query.pl - 4140 bytes
> 
> Am I correct in assuming I must FIRST run form_builder to get a
> load of .html files? The reason I ask is that I idly ran

You won't need to run form_builder, you already have an adequate
form you can copy. All it needs is to be told where to find the
perl script instead of the C code, so I guess you change 
"check_query" to "check_query.pl".

> perform_query.pl and got the message "can't locate <fname> in
> @INC (did you run h2ph?)"

Running it from the command line can fail in this way. It can still
work fine from the server.

> 
> I've had a scan through the perl scripts, and I can't find a
> reference to h2ph? Am I missing something or am I missing
> something? Or have I just forgotten what I should do???

h2ph is a tool which comes with perl for converting standard C
.h files into ones which perl can use. You probably won't need to
use it.

regards,
rob.